# PCCholeskySetDamping

Adds this quantity to the diagonal of the matrix during the Cholesky numerical factorization.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCCholeskySetDamping(PC pc,PetscReal damping)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| damping | - amount of damping

### Options Database Key

-pc_cholesky_damping <damping> -Sets damping amount

### Keywords

PC, set, factorization, direct, fill

### See Also

PCCholeskySetFill(), PCILUSetDamping()

Level:intermediate
Location:src/ksp/pc/impls/cholesky/cholesky.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages